//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_AnimEffectWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(AnimEffect), typeof(UnityEngine.MonoBehaviour));
		L.RegVar("animName",FUNCTAG_get_animName, FUNCTAG_set_animName);
		L.RegVar("infoArray",FUNCTAG_get_infoArray, FUNCTAG_set_infoArray);
		L.RegVar("EffectLength",FUNCTAG_get_EffectLength, FUNCTAG_set_EffectLength);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_animName(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AnimEffect obj = (AnimEffect)o;
			string ret = obj.animName;
			LuaDLL.lua_pushstring(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index animName on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_infoArray(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AnimEffect obj = (AnimEffect)o;
			AnimEffectInfo[] ret = obj.infoArray;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index infoArray on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_EffectLength(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AnimEffect obj = (AnimEffect)o;
			int ret = obj.EffectLength;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index EffectLength on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_animName(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AnimEffect obj = (AnimEffect)o;
			string arg0 = ToLua.CheckString(L, 2);
			obj.animName = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index animName on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_infoArray(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AnimEffect obj = (AnimEffect)o;
			AnimEffectInfo[] arg0 = ToLua.CheckObjectArray<AnimEffectInfo>(L, 2);
			obj.infoArray = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index infoArray on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_EffectLength(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AnimEffect obj = (AnimEffect)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.EffectLength = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index EffectLength on a nil value" : e.Message);
		}
	}
}

